package com.pms.ocp.biz;

import com.pms.ocp.model.dto.ModelDemandDTO;
import com.pms.ocp.model.dto.ModelDemandAndPropertyVersionDTO;
import com.pms.ocp.model.entity.Model;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/4/1 10:29
 * @Description:
 */
public interface BizModelDemandService {

    /**
     * 创建模型需求
     * 创建模型表或者模型属性
     *
     * @param modelDemandDTO
     * @return
     */
    Integer createModelDemand(ModelDemandDTO modelDemandDTO);

    /**
     * 修改模型需求与模型基础版本
     *
     * @param modelDemandDTO
     * @return
     */
    Integer updateModelDemand(ModelDemandDTO modelDemandDTO);

    /**
     * 删除模型需求
     *
     * @param targetType
     * @param demandId
     * @param modelId
     * @param proId
     * @return
     */
    Integer deleteModelDemand(String targetType, String demandId, String modelId, String proId);

    /**
     * 获取模型需求
     *
     * @param
     * @return
     */
    List<Model> getModelDemandList(String objId, String modelGroupCode, int currentPage, int pageSize);

    /**
     * 获取模型需求
     *
     * @param objId
     * @param modelGroupCode
     * @return
     */
    Model getModelDemand(String objId, String modelGroupCode);

}
