package com.pms.ocp.controller;

import com.pms.ocp.biz.BizModelDemandService;
import com.pms.ocp.model.dto.ModelDemandDTO;
import com.pms.ocp.model.vo.ResponseVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Auther: wangjian
 * @Date: 2022/3/29 17:18
 * @Description:模型库管理管控需求接口
 */

@Slf4j
@RequestMapping("/model-control/v1")
@RestController
@Api(tags = "模型库管理管控需求接口")
public class ModelControlDemandController {

    @Autowired
    private BizModelDemandService bizModelDemandService;

    /**
     * 模型需求-增加
     *
     * @return
     */
    @ApiOperation("模型需求-增加")
    @PostMapping("/create/modelDemand")
    public ResponseVO createModelDemand(@RequestBody ModelDemandDTO modelDemandDTO) {

        return ResponseVO.ok(bizModelDemandService.createModelDemand(modelDemandDTO));
    }

    /**
     * 模型需求-查询列表
     *
     * @return
     */
    @ApiOperation("模型需求-查询列表")
    @GetMapping("/get/modelDemand/list")
    public ResponseVO getModelDemandList(@ApiParam(value = "所属级别") @RequestParam(value = "belongLevel", defaultValue = "0") String belongLevel,
                                         @ApiParam(value = "模型编码") @RequestParam(value = "modelGroupCode", required = false) String modelGroupCode,
                                         @ApiParam(value = "当前页") @RequestParam(value = "currentPage") Integer currentPage,
                                         @ApiParam(value = "每页数量") @RequestParam(value = "pageSize") Integer pageSize,
                                         @ApiParam(value = "模糊搜索条件") @RequestParam(value = "searchCondition", required = false) String searchCondition) {
        return ResponseVO.ok(bizModelDemandService.getModelDemandList(belongLevel, modelGroupCode, currentPage, pageSize));

    }


}
