package com.pms.ocp.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Auther: wangjian
 * @Date: 2022/3/29 17:27
 * @Description:模型需求传输对象
 */

@ApiModel("模型需求传输对象")
@Data
public class ModelDemandDTO {

    /**
     * 目标类型
     */
    @ApiModelProperty(value = "目标类型(1=表；2=属性)")
    private String targetType;


    /**
     * 模型编号
     */
    @ApiModelProperty(value = "模型编号")
    private String modelId;

    /**
     * 属性名称
     */
    @ApiModelProperty(value = "属性名称")
    private String columnName;

    /**
     * 属性编码
     */
    @ApiModelProperty(value = "属性编码")
    private String columnCode;

    /**
     * 属性描述
     */
    @ApiModelProperty(value = "属性描述")
    private String columnComments;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型")
    private Integer dataType;

    /**
     * 数据长度
     */
    @ApiModelProperty(value = "数据长度")
    private Integer dataLength;

    /**
     * 数据精度
     */
    @ApiModelProperty(value = "数据精度")
    private Integer dataScale;

    /**
     * 是否主键
     */
    @ApiModelProperty(value = "是否主键")
    private Integer boolPk;

    /**
     * 是否必填
     */
    @ApiModelProperty(value = "是否必填")
    private Integer boolRequired;

    /**
     * 推广类型
     */
    @ApiModelProperty(value = "推广类型")
    private Integer propPromotion;

    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用")
    private Integer boolUse;

    /**
     * 省公司ID
     */
    @ApiModelProperty(value = "省公司ID")
    private String companyId;

    /**
     * 省公司名称
     */
    @ApiModelProperty(value = "省公司名称")
    private String companyName;

    /**
     * 显示顺序
     */
    @ApiModelProperty(value = "显示顺序")
    private Integer propDispidx;

    /**
     * 模型编码
     */
    @ApiModelProperty(value = "模型编码")
    private String model_code;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private String demandVersion;

    /**
     * 提交人id
     */
    @ApiModelProperty(value = "提交人id")
    private String applyUserId;

    /**
     * 提交人姓名
     */
    @ApiModelProperty(value = "提交人姓名")
    private String applyUserName;

    /**
     * 流程类型
     */
    @ApiModelProperty(value = "流程类型")
    private Integer flowType;

    /**
     * 需求描述
     */
    @ApiModelProperty(value = "需求描述")
    private String flowMessage;

    /**
     * 需求审核状态
     */
    @ApiModelProperty(value = "需求审核状态")
    private Integer flowStatus;

    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String flowComment;

    /**
     * 审核人id
     */
    @ApiModelProperty(value = "审核人id")
    private String flowUserId;

    /**
     * 审核人姓名
     */
    @ApiModelProperty(value = "审核人姓名")
    private String flowUserName;

    /**
     * 模型名称
     */
    @ApiModelProperty(value = "模型名称")
    private String model_name;

    /**
     * 模型表名称
     */
    @ApiModelProperty(value = "模型表名称")
    private String model_table;

}


//    字段名称	字段描述	字段类型	允许为NULL	备注
//        demand_id	主键	varchar(42)	否
//        model_id	模型编号	varchar(42)	否
//        prop_id	属性编号	varchar(42)	是
//        demand_version	版本	varchar(10)	是
//        company_id	省公司ID	varchar(42)	是
//        company_name	省公司名称	varchar(50)	是
//        apply_user_id	提交人id	varchar(42)	否
//        apply_user_name	提交人姓名	varchar(64)	否
//        apply_ctime	创建时间	timestamp(6)	否
//        flow_type	流程类型	int4	否	0:新增,1:迭代
//        flow_message	需求描述	varchar(1000)	是
//        flow_statu	需求审核状态	int4	是	0:不同意, 1：同意
//        flow_comment	审核意见	varchar(100)	是
//        flow_user_id	审核人id	"varchar(42)	"	是
//        flow_user_name	审核人姓名	varchar(64)	是
//        flow_mtime	审核时间	timestamp(6)	是


//  "applyUserId": "",
//          "applyUserName": "",
//          "companyId": "",
//          "companyName": "",
//          "demandVersion": "",
//          "flowComment": "",
//          "flowMessage": "",
//          "flowStatu": 0,
//          "flowType": 0,
//          "flowUserId": "",
//          "flowUserName": "",
//          "model_code": "",
//          "model_name": "",
//          "model_table": ""
