package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Auther: wangjian
 * @Date: 2022/3/30 17:17
 * @Description:模型基础信息版本表对象
 */

@Data
@TableName("ocp_model_base_ver")
public class ModelBaseVersion {

    /**
     * 主键
     */
    @TableId(value = "model_id", type = IdType.ASSIGN_ID)
    private String modelId;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型编码
     */
    private String modelCode;

    /**
     * 模型分类id
     */
    private String modelGroupId;

    /**
     * 模型分类编码
     */
    private String modelGroupCode;

    /**
     * 模型分类名称
     */
    private String modelGroupName;

    /**
     * 模型表名称
     */
    private String modelTable;

    /**
     * 模型关联关系
     */
    private String modelRelation;

    /**
     * 推广类型
     */
    private Integer modelPromotion;

    /**
     * 省公司ID
     */
    private String companyId;

    /**
     * 省公司名称
     */
    private String companyName;

}


//    字段名称	字段描述	字段类型	允许为NULL	备注
//        model_id	主键	varchar(40)	否
//        model_name	模型名称	varchar(50)	否
//        model_code	模型编码	varchar(42)	否
//        model_group_id	模型分类id	varchar(42)	否
//        model_group_name	模型分类名称	varchar(50)	否
//        model_table	模型表名称	varchar(50)	否
//        model_relation	模型关联关系	text	是	存储模型之间的关系json格式；例如[{ model_group_id : t_public_manage_model_group.group_id}]
//        model_promotion	推广类型	int4	否	0:统推,1：自建
//        company_id	省公司ID	varchar(42)	是
//        company_name	省公司名称	varchar(50)	是
