package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Auther: wangjian
 * @Date: 2022/3/29 17:27
 * @Description:模型需求对象
 */

@Data
@TableName("ocp_model_demand")
public class ModelDemand {

    /**
     * 主键
     */
    @TableId("demand_id")
    private String demandId;

    /**
     * 模型编号
     */
    private String modelId;

    /**
     * 属性编号
     */
    private String propId;

    /**
     * 版本
     */
    private String demandVersion;

    /**
     * 省公司ID
     */
    private String companyId;

    /**
     * 省公司名称
     */
    private String companyName;

    /**
     * 提交人id
     */
    private String applyUserId;

    /**
     * 提交人姓名
     */
    private String applyUserName;

    /**
     * 创建时间
     */
    private LocalDateTime applyCtime;

    /**
     * 流程类型
     */
    private Integer flowType;

    /**
     * 需求描述
     */
    private String flowMessage;

    /**
     * 需求审核状态
     */
    private Integer flowStatus;

    /**
     * 审核意见
     */
    private String flowComment;

    /**
     * 审核人id
     */
    private String flowUserId;

    /**
     * 审核人姓名
     */
    private String flowUserName;

    /**
     * 审核时间
     */
    private LocalDateTime flowMtime;
}


//    字段名称	字段描述	字段类型	允许为NULL	备注
//        demand_id	主键	varchar(42)	否
//        model_id	模型编号	varchar(42)	否
//        prop_id	属性编号	varchar(42)	是
//        demand_version	版本	varchar(10)	是
//        company_id	省公司ID	varchar(42)	是
//        company_name	省公司名称	varchar(50)	是
//        apply_user_id	提交人id	varchar(42)	否
//        apply_user_name	提交人姓名	varchar(64)	否
//        apply_ctime	创建时间	timestamp(6)	否
//        flow_type	流程类型	int4	否	0:新增,1:迭代
//        flow_message	需求描述	varchar(1000)	是
//        flow_statu	需求审核状态	int4	是	0:不同意, 1：同意
//        flow_comment	审核意见	varchar(100)	是
//        flow_user_id	审核人id	"varchar(42)	"	是
//        flow_user_name	审核人姓名	varchar(64)	是
//        flow_mtime	审核时间	timestamp(6)	是
