package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Auther: wangjian
 * @Date: 2022/3/30 17:26
 * @Description:模型属性版本表对象
 */

@Data
@TableName("ocp_model_prop_ver")
public class ModelPropertyVersion {

    /**
     * 主键
     */
    @TableId(value = "prop_id", type = IdType.ASSIGN_ID)
    private String propId;

    /**
     * 模型id
     */
    private String modelId;

    /**
     * 属性名称
     */
    private String columnName;

    /**
     * 属性编码
     */
    private String columnCode;

    /**
     * 属性描述
     */
    private String columnComments;

    /**
     * 数据类型
     */
    private Integer dataType;

    /**
     * 数据长度
     */
    private Integer dataLength;

    /**
     * 数据精度
     */
    private Integer dataScale;

    /**
     * 是否主键
     */
    @TableField("is_pk")
    private Integer boolPk;

    /**
     * 是否必填
     */
    @TableField("is_required")
    private Integer boolRequired;

    /**
     * 推广类型
     */
    private Integer propPromotion;

    /**
     * 是否启用
     */
    @TableField("is_use")
    private Integer boolUse;

    /**
     * 省公司ID
     */
    private String companyId;

    /**
     * 省公司名称
     */
    private String companyName;

    /**
     * 显示顺序
     */
    private Integer propDispidx;

}

//      t_public_manage_model_prop_ver
//    字段名称	字段描述	字段类型	允许为NULL	备注
//        prop_id	主键	varchar(42)	否
//        model_id	模型id	varchar(42)	否
//        column_name	属性名称	varchar(50)	否
//        column_code	属性编码	varchar(42)	否
//        column_comments	属性描述	varchar(50)	否
//        data_type	数据类型	int4	否
//        data_length	数据长度	int4	是
//        data_scale	数据精度	int4	是
//        is_pk	是否主键	int4	否	0:否,1:是
//        is_required	是否必填	int4	是	0:否,1:是
//        prop_promotion	推广类型	int4	是	0:统推,1：自建
//        is_use	是否启用	int4		0:待启用,1：启用,2:废弃
//        company_id	省公司ID	varchar(42)	是
//        company_name	省公司名称	varchar(50)	是
//        prop_dispidx	显示顺序	int4	否
