package com.pms.ocp.service;

import com.pms.ocp.model.dto.ModelDTO;
import com.pms.ocp.model.entity.ModelDemand;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/3/29 17:43
 * @Description:模型需求业务层接口
 */
public interface ModelDemandService {

    /**
     * 创建模型需求
     *
     * @param modelDemand
     * @return
     */
    Integer createModelDemand(ModelDemand modelDemand);

    /**
     * 删除模型需求
     *
     * @param demandId
     * @param modelId
     * @return
     */
    Integer deleteModelDemand(String demandId, String modelId);

    /**
     * 更新模型需求
     *
     * @param modelDemand
     * @return
     */
    Integer updateModelDemand(ModelDemand modelDemand);

    /**
     * 获取模型需求
     *
     * @param
     * @return
     */
    List<ModelDemand> getModelDemandList(List<String> modelIds);

    /**
     * 获取模型需求列表
     *
     * @param objId
     * @param modelCode
     * @return
     */
    ModelDemand getModelDemand(String objId, String modelCode);

}
