package com.pms.ocp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.pms.ocp.mapper.ModelDemandMapper;
import com.pms.ocp.model.entity.ModelDemand;
import com.pms.ocp.service.ModelDemandService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/3/29 17:43
 * @Description:模型需求业务层接口实现
 */

@Service
public class ModelDemandServiceImpl implements ModelDemandService {

    @Autowired
    private ModelDemandMapper modelDemandMapper;

    @Override
    public Integer createModelDemand(ModelDemand modelDemand) {
        return modelDemandMapper.insert(modelDemand);
    }

    @Override
    public Integer deleteModelDemand(String demandId, String modelId) {
        QueryWrapper<ModelDemand> queryWrapper = new QueryWrapper();

        if (StringUtils.isNotEmpty(demandId)) {
            queryWrapper.lambda().eq(ModelDemand::getDemandId, demandId);
        }

        if (StringUtils.isNotEmpty(modelId)) {
            queryWrapper.lambda().eq(ModelDemand::getModelId, modelId);
        }

        return modelDemandMapper.delete(queryWrapper);
    }

    @Override
    public Integer updateModelDemand(ModelDemand modelDemand) {
        UpdateWrapper<ModelDemand> updateWrapper = new UpdateWrapper<>();

        updateWrapper.lambda().eq(ModelDemand::getDemandId, modelDemand.getDemandId());

        return modelDemandMapper.update(modelDemand, updateWrapper);
    }

    @Override
    public List<ModelDemand> getModelDemandList(List<String> modelIds) {

        QueryWrapper<ModelDemand> wrapper = new QueryWrapper<>();

        if (!modelIds.isEmpty()) {
            wrapper.lambda().in(ModelDemand::getModelId, modelIds);
        }

        return modelDemandMapper.selectList(wrapper);
    }

    @Override
    public ModelDemand getModelDemand(String objId, String modelCode) {
        return null;
    }
}
