package com.pms.ocp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.pms.ocp.mapper.ModelPropertyVersionMapper;
import com.pms.ocp.model.entity.ModelPropertyVersion;
import com.pms.ocp.service.ModelPropertyVersionService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Auther: wangjian
 * @Date: 2022/4/1 14:57
 * @Description:模型属性版本业务层接口实现
 */

@Service
public class ModelPropertyVersionServiceImpl implements ModelPropertyVersionService {

    @Autowired
    private ModelPropertyVersionMapper modelPropertyVersionMapper;

    @Override
    public Integer createModelPropertyVersion(ModelPropertyVersion modelPropertyVersion) {

        return modelPropertyVersionMapper.insert(modelPropertyVersion);
    }

    @Override
    public Integer deleteModelPropertyVersion(String propId, String columnCode) {
        QueryWrapper<ModelPropertyVersion> queryWrapper = new QueryWrapper();

        if (StringUtils.isNotEmpty(propId)) {
            queryWrapper.lambda().eq(ModelPropertyVersion::getPropId, propId);
        }

        if (StringUtils.isNotEmpty(columnCode)) {
            queryWrapper.lambda().eq(ModelPropertyVersion::getColumnCode, columnCode);
        }

        return modelPropertyVersionMapper.delete(queryWrapper);
    }

    @Override
    public Integer updateModelPropertyVersion(ModelPropertyVersion modelPropertyVersion) {
        UpdateWrapper<ModelPropertyVersion> updateWrapper = new UpdateWrapper<>();

        updateWrapper.lambda().eq(ModelPropertyVersion::getModelId, modelPropertyVersion.getModelId());

        return modelPropertyVersionMapper.update(modelPropertyVersion, updateWrapper);
    }
}
